library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;
-- https://statics.cirrus.com/pubs/proDatasheet/CS4344-45-48_F2.pdf

entity DAC_CS4344 is port(
	SDIN: in std_logic;
	SCLK: in std_logic;
	LRCK: in std_logic;
	MCLK: in std_logic;
	L: out std_logic_vector(23 downto 0);
	R: out std_logic_vector(23 downto 0));
end DAC_CS4344;

architecture Behavioral of DAC_CS4344 is

signal sr: std_logic_vector(23 downto 0):=(others => '0');
signal bitcounter: integer:=0;
signal LRCK_buff: std_logic:='0';

begin

process begin
	wait until rising_edge(SCLK);
	LRCK_buff <= LRCK;
	if LRCK_buff = '0' and LRCK = '1' then
		bitcounter <= 0;
		L <= sr;
	elsif LRCK_buff = '1' and LRCK = '0' then
		bitcounter <= 0;
		R <= sr;
	else
		if bitcounter < 25 then
			bitcounter <= bitcounter +1;
			sr <= sr(22 downto 0) & SDIN;
		end if;
	end if;
end process;

end Behavioral;